﻿// Arrow button
//
class ArrowBox extends Box {
	var arrowFill:Number;
	var a:Object;
	// call setBox first to init "b"
	function setArrow(d:String, col:Number) {
		a = new Object();
		arrowFill = col;
		switch (d) {
		case "up" :
			a = {x0:0.0, y0:-hh(), x1:+hw(), y1:+hh(), x1a:+hw()*1.5, y1a:+hh(), x2:-hw(), y2:+hh(), x2a:-hw()*1.5, y2a:+hh(), x3:0.0, y3:+hh()};
			break;
		case "down" :
			a = {x0:0.0, y0:+hh(), x1:+hw(), y1:-hh(), x1a:+hw()*1.5, y1a:-hh(), x2:-hw(), y2:-hh(), x2a:-hw()*1.5, y2a:-hh(), x3:0.0, y3:-hh()};
			break;
		case "left" :
			a = {x0:-hw(), y0:0.0, x1:+hw(), y1:-hh(), x1a:+hw(), y1a:-hh()*1.5, x2:+hw(), y2:+hh(), x2a:+hw(), y2a:+hh()*1.5, x3:+hw(), y3:0.0};
			break;
		case "right" :
			a = {x0:+hw(), y0:0.0, x1:-hw(), y1:-hh(), x1a:-hw(), y1a:-hh()*1.5, x2:-hw(), y2:+hh(), x2a:-hw(), y2a:+hh()*1.5, x3:-hw(), y3:0.0};
			break;
		}
		drawBox(fill);
		drawArrow(arrowFill);
	}
	function drawArrow(col:Number) {
		this.lineStyle(0, 0xFFFFFF, 0);
		this.beginFill(col, 100);
		if (!web2) {
			this.moveTo(a.x0, a.y0);
			this.lineTo(a.x1, a.y1);
			this.lineTo(a.x2, a.y2);
			this.lineTo(a.x0, a.y0);
		} else {
			this.moveTo(a.x0, a.y0);
			this.curveTo(a.x1a, a.y1a, a.x3, a.y3);
			this.curveTo(a.x2a, a.y2a, a.x0, a.y0);
		}
		this.endFill();
	}
	function onRollOver() {
		drawBox(over);
		drawArrow(arrowFill);
	}
	function onRollOut() {
		drawBox(fill);
		drawArrow(arrowFill);
	}
}
