﻿// Vertical slider
//
class SliderBox extends Box{
	var pos:Number;
	var minPos:Number;
	var maxPos:Number;
	var unitHeight:Number;
	var length:Number;
	var min_y:Number;
	var max_y:Number;
	var length_y:Number;
	var bar:Box;
	var track:MovieClip;
	var barFill:Number;
	var overFill:Number;
	var arrows:Boolean;
	// call setBox first with track color
	function setSlider(barCol:Number, overCol:Number, minPos:Number, maxPos:Number, arrows:Boolean){
		this.arrows = arrows;
		barFill = barCol;
		overFill = overCol;
		setLength(minPos, maxPos);
	}
	function setLength(minPos:Number, maxPos:Number, textHeight:Number){
		this.minPos = minPos;
		this.maxPos = maxPos;
		pos = minPos;
		length = Math.abs(maxPos - minPos);
		var rows = bh() / textHeight;
		var barH = Math.max((bh() / (length + rows)) * rows, 10);
		min_y = -hh();// + (barH);
		max_y = hh() - (barH);
		length_y = Math.abs(max_y - min_y);
		unitHeight = (bh() - barH) / (length);//(max_y - min_y) / length;
		attachMovie("Box", "bar", 5, {_x:b.x + hw(), _y:min_y, useHandCursor:false});
		createEmptyMovieClip("track", 3);
		track.hitArea = this;
		track.useHandCursor = false;
		track["bar"] = this.bar;
		bar.setBox(-hw(), 0, bw(), barH, barFill, overFill);
		bar.onPress = function(){
			this.startDrag(false, this._x, _parent.min_y, this._x, _parent.max_y);
		}
		track.onPress = function(){
			this["bar"]._y = _ymouse - this["bar"].hh();
			if(this["bar"]._y > _parent.max_y){
				this["bar"]._y = _parent.max_y;
			}
			if(this["bar"]._y < _parent.min_y){
				this["bar"]._y = _parent.min_y;
			}
		}
		bar.onRelease = function(){
			this.stopDrag();
		}
		bar.onRollOver = function(){
			drawBox(over);
		}
		bar.onRollOut = function(){
			drawBox(fill);
		}
	}
	function stepDown(){
		bar._y = Math.min(bar._y + unitHeight, max_y);
	}
	function stepUp(){
		bar._y = Math.max(bar._y - unitHeight, min_y);
	}
	function getPos(){
		pos = minPos + Math.round((length / length_y) * (this["bar"]._y - min_y));
		return pos;
	}
}