﻿// Draggable button to apply to component
//
class BoxHandle extends Box{
	function setHandle(){
		web2 = false;
		setBox(-10, -10, 20, 20, 0xCCCC00, 0xFFFF00);
		drawBlack();
	}
	function drawBlack(){
		lineStyle(2, 0x333333, 100);
		moveTo(-hw(), -hh());
		lineTo(hw(), -hh());
		lineTo(hw(), hh());
		lineTo(-hw(), hh());
		lineTo(-hw(), -hh());
		lineStyle(1, 0x333333, 100);
		moveTo(-hw(), 0);
		lineTo(hw(), 0);
		moveTo(0, - hh());
		lineTo(0, hh());
	}
	function onPress(){
		if(_parent._parent["layoutControl"]._visible){
			if(_parent._parent["layoutControl"].asset != _parent){
				_parent._parent["layoutControl"].asset.designate(false);
				_parent.designate(true);
				_parent._parent["layoutControl"].asset = _parent;
				_parent._parent["layoutControl"].setTabs();
			}
		}
		_parent.startDrag(false);
	}
	function onRelease(){
		_parent.stopDrag();
		_parent._parent["layoutControl"].updateXY(_parent._x, _parent._y);
	}
	function onRollOver(){
		drawBox(over);
		drawBlack();
	}
	function onRollOut(){
		drawBox(fill);
		drawBlack();
	}
}