﻿// Error & Progress reports
//
class ConsoleBox extends TextAreaBox {
	var lineNum:Number = 0;
	var erratum:String = "";
	var ready:Boolean = true;
	// init
	function setConsole() {
		xmlID = null;
		w = 400;
		h = 200;
		_x = Stage.width * 0.5;
		_y = Stage.height * 0.5;
		fill = 0xCCCCCC;
		over = 0xAAAAAA;
		shade = 0x666666;
		arrowFill = 0x999999;
		setTextArea();
		var ready = true;
	}
	function setTextArea() {
		createTextField("txt", 3, -w * 0.5, -h * 0.5, w, h);
		this["txt"].mouseWheelEnabled = false;
		this["txt"].multiline = true;
		this["txt"].wordWrap = true;
		this["txt"].background = true;
		this["txt"].embedFonts = true;
		var tf = new TextFormat();
		tf.font = "Console";
		tf.size = txtSize;
		tf.color = 0x333333;
		this["txt"].setNewTextFormat(tf);
		setBox(-space - w * 0.5, -space - h * 0.5, (space * 3) + 20 + w, (space * 2) + h, fill, over);
		attachMovie("SliderBox", "slide", 5, {_x:hw() - (space * 0.5)});
		this["slide"].setBox(-10, -hh() + space + 20, 20, bh() - (space * 2) - 40, shade, shade);
		this["slide"].setSlider(arrowFill, over, this["txt"].scroll, this["txt"].maxscroll, true);
		attachMovie("ArrowBox", "up", 7, {_x:hw() - (space * 0.5), _y:-hh() + 20, useHandCursor:false});
		this["up"].setBox(-10, -10, 20, 20, fill, over);
		this["up"].setArrow("up", arrowFill);
		attachMovie("ArrowBox", "down", 9, {_x:hw() - (space * 0.5), _y:hh() - 20, useHandCursor:false});
		this["down"].setBox(-10, -10, 20, 20, fill, over);
		this["down"].setArrow("down", arrowFill);
	}
	function report(string:String) {
		var ln = lineNum.toString();
		while (ln.length < 4) {
			ln = "0" + ln;
		}
		erratum += ln + ": ";
		erratum += string;
		erratum += "\n";
		this["txt"].text = erratum;
		lineNum++;
		if (this._visible) {
			setText();
		}
	}
	function setText() {
		this["slide"].setLength(this["txt"].scroll, this["txt"].maxscroll, txtSize);
		this["slide"].bar.onMouseMove = function() {
			_parent._parent["txt"].scroll = _parent.getPos();
		};
		this["up"].onPress = function() {
			_parent["slide"]["bar"]._y = Math.max(_parent["slide"]["bar"]._y - _parent["slide"].unitHeight, _parent["slide"].min_y);
			_parent["txt"].scroll -= 1;
		};
		this["down"].onPress = function() {
			_parent["slide"]["bar"]._y = Math.min(_parent["slide"]["bar"]._y + _parent["slide"].unitHeight, _parent["slide"].max_y);
			_parent["txt"].scroll += 1;
		};
	}
}
